 <template lang="pug">
.x-server-card.col-sm-6.col-xl-4.p-1
  ActionDialog(ref='dialog')
  .alert.m-0.p-0.col-12(:class='`alert-${statusClass(status)}`' role='alert')
    .mx-2.p-3.clickable(@click='toggleDetails()'
                        :title='$butils.get(server, "description", "")')
      .d-flex.justify-content-between.text-center
        .x-server-caret-button.px-2
          i(v-if="showDetails").fa.fa-caret-down
          i(v-else).fa.fa-caret-right
        .x-server-title.w-100
          span.h6.align-middle.x-server-name.m-0(align='center') {{ $butils.get(server, 'display', '') }}
        .x-server-badges
          .badge.badge-pill(v-if='hasMsgs' :class='`badge-${statusClass(status)}`')
            | {{ Object.keys(messages).length }}
    BaseAnimationBlock(anim='height')
      .mx-2.px-3.pb-3(v-show="showDetails")
        hr.mt-0
        strong Services
        .row.justify-content-between(v-for='service in $butils.get(server, "services", [])'
                                     :key='`${server.name}_${service.name}`')
          .col-10.x-service-name.pl-4.text-truncate(:title='service.name') {{ service.name }}
          .col-2(v-if='service.available' align='center')
            i.fas.fa-check-circle.text-success
          .col-2(v-else align='center')
            i.fas.fa-times-circle.text-danger
        div(v-if='hasMsgs')
          hr
          strong Messages
          ul.x-messages
            li.text-wrap(v-for='msg in messages') {{ msg }}
        .x-actions(v-if='!$butils.isEmpty(allowedActions)')
          hr
          ActionList(title='Actions' :actions='allowedActions'
                     @run-action='$refs.dialog.runAction($event, { zone, server: $butils.get(server, "name") })')
</template>

<script>

export { default } from './ServerStatus.vue.js';

</script>

<style>
ul.x-messages {
  padding-inline-start: 30px;
  list-style-type: disc;
  overflow: auto;
  max-height: 100px;
  margin: 0;
}
</style>
